<html>
<head>
<title>OGRE: Ogre::Profiler::ProfileInstance Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Profiler.html">Profiler</a>::<a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html">ProfileInstance</a></div>
<h1>Ogre::Profiler::ProfileInstance Struct Reference</h1><!-- doxytag: class="Ogre::Profiler::ProfileInstance" -->Represents an individual profile call.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1Profiler_1_1ProfileInstance-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html#b97c7822bee63c0a8779b6d539bbe0fb">name</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The name of the profile.  <a href="#b97c7822bee63c0a8779b6d539bbe0fb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html#1643d89b6d2e6ae826ed41b473ca971c">parent</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The name of the parent, empty string if root.  <a href="#1643d89b6d2e6ae826ed41b473ca971c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">ulong</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html#785469fb2684cc7bfd1f58ba9502d422">currTime</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The time this profile was started.  <a href="#785469fb2684cc7bfd1f58ba9502d422"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">ulong</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html#641ea8c3f3083597216b11e39d929a1e">accum</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents the total time of all child profiles to subtract from this profile.  <a href="#641ea8c3f3083597216b11e39d929a1e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html#30bc0db31ef4e1ff718d89004e3bff4a">hierarchicalLvl</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The hierarchical level of this profile, 0 being the root profile.  <a href="#30bc0db31ef4e1ff718d89004e3bff4a"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Represents an individual profile call. 
<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00261">261</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="b97c7822bee63c0a8779b6d539bbe0fb"></a><!-- doxytag: member="Ogre::Profiler::ProfileInstance::name" ref="b97c7822bee63c0a8779b6d539bbe0fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html#b97c7822bee63c0a8779b6d539bbe0fb">Ogre::Profiler::ProfileInstance::name</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The name of the profile. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00264">264</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1643d89b6d2e6ae826ed41b473ca971c"></a><!-- doxytag: member="Ogre::Profiler::ProfileInstance::parent" ref="1643d89b6d2e6ae826ed41b473ca971c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html#1643d89b6d2e6ae826ed41b473ca971c">Ogre::Profiler::ProfileInstance::parent</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The name of the parent, empty string if root. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00267">267</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="785469fb2684cc7bfd1f58ba9502d422"></a><!-- doxytag: member="Ogre::Profiler::ProfileInstance::currTime" ref="785469fb2684cc7bfd1f58ba9502d422" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">ulong</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html#785469fb2684cc7bfd1f58ba9502d422">Ogre::Profiler::ProfileInstance::currTime</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The time this profile was started. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00270">270</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="641ea8c3f3083597216b11e39d929a1e"></a><!-- doxytag: member="Ogre::Profiler::ProfileInstance::accum" ref="641ea8c3f3083597216b11e39d929a1e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">ulong</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html#641ea8c3f3083597216b11e39d929a1e">Ogre::Profiler::ProfileInstance::accum</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Represents the total time of all child profiles to subtract from this profile. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00274">274</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="30bc0db31ef4e1ff718d89004e3bff4a"></a><!-- doxytag: member="Ogre::Profiler::ProfileInstance::hierarchicalLvl" ref="30bc0db31ef4e1ff718d89004e3bff4a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html#30bc0db31ef4e1ff718d89004e3bff4a">Ogre::Profiler::ProfileInstance::hierarchicalLvl</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The hierarchical level of this profile, 0 being the root profile. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00277">277</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:54 2008
</p>
</body>
</html>
